/*!************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/assets/css/common/footer.css ***!
  \************************************************************************************/
footer {
  background-color: #000000;
}

.footer-wrapper {
  display: flex;
  gap: clamp(144px, 15.97vw, 230px);
  padding-left: clamp(50px, 5.56vw, 80px);
}

.footer-left {
  padding-top: clamp(30px, 2.43vw, 35px);
}
.footer-nav-list {
  margin-top: 27.7px;

  display: grid;
  row-gap: 15px;
  column-gap: 86px !important;
  grid-template-areas:
    "home news"
    "feature info "
    "lunch policy "
    "dinner  .";
}
.foot-home {
  grid-area: home;
}
.foot-feat {
  grid-area: feature;
}
.foot-lunch {
  grid-area: lunch;
}
.foot-dinner {
  grid-area: dinner;
}
.foot-news {
  grid-area: news;
}
.foot-info {
  grid-area: info;
}
.foot-policy {
  grid-area: policy;
}
.footer-logo {
  width: 182.45px;
  padding-bottom: clamp(15px, 1.65vw, 23.8px);
}
.footer-left_text {
  padding-bottom: clamp(26.1px, 2.5vw, 36px);
}

@media (max-width: 767px) {
  .footer-wrapper {
    display: grid;
    place-content: center;
    gap: 31px;
    padding-left: 0;
  }
  footer {
    padding-bottom: 39.7px;
  }
  .footer-nav-list {
    margin-top: 27.7px;

    display: grid;
    row-gap: 15px;
    column-gap: 54px;
    grid-template-areas:
      "home news"
      "feature info "
      "lunch policy "
      "dinner  .";
  }
}

/*!*********************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/assets/css/menu/lunch.css ***!
  \*********************************************************************************/
* {
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

.under-kv.lunch {
  background-image: url(../img/lunch_kv.jpg);
  background-position: center top;
  background-size: cover;
  background-repeat: no-repeat;
}

.under-kv.lunch h1,
.under-kv.lunch p {
  color: #ffffff;
}

/*------------------------------
    Background Colors / 背景の色"
------------------------------*/

.bg-white {
  background-color: #ffffff;
}
.bg-black {
  background-color: #505050;
}

#overview,
#lunchSingle,
#drink {
  background-image: url(../img/lunch_bg_gray.jpg);
  background-position: top center;
  background-repeat: no-repeat;
  background-size: cover;
}

.overview-grid,
.drink-grid {
  display: grid;
  grid-template-columns: 1fr 960px 1fr;
}

@media (max-width: 1280px) {
  .overview-grid,
  .drink-grid {
    grid-template-columns: 1fr 87% 1fr;
  }
}

.overview-inner {
  grid-column: 2/3;
  margin-top: 60px;
  margin-bottom: 260px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.overview-description {
  text-align: center;
}

.overview-hours {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 30px;
  margin: 60px auto 80px auto;
  width: 100%;
  max-width: 960px;
  padding-top: 35px;
  padding-bottom: 37px;
  background-color: #ffffff;
  clip-path: polygon(
    10px 0,
    calc(100% - 10px) 0,
    100% 10px,
    100% calc(100% - 10px),
    calc(100% - 10px) 100%,
    10px 100%,
    0 calc(100% - 10px),
    0 10px
  );
}

.overview-hours__title p {
  text-align: center;
  font-weight: 200;
}

.overview-hours__content {
  display: flex;
  flex-direction: column;
  margin: auto;
}

.overview-hours__content--line {
  display: flex;
  flex-direction: row;
}

/* .overview-hours__content--line span:nth-child(1) {
  display: block;
  width: 8.4vw;
  min-width: 80px;
} */

.overview-buttons {
  display: flex;
  flex-direction: row;
  gap: 67px;
}

.overview-buttons a {
  color: #505050;
  text-align: center;
}

.arrow {
  position: relative;
  padding: 0 50px;
}

.arrow::after {
  position: absolute;
  content: "";
  bottom: -16px;
  left: 0;
  height: 1px;
  width: 100%;
  background-color: #505050;
  transition: transform 0.3s;
  transform-origin: left top;
}

.arrow:hover::after {
  transform: scale(0, 1);
  transform-origin: right top;
  transition: transform 0.3s;
}

.arrow::before {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 15px;
  margin: auto;
  content: url(../img/arrow.svg);
  vertical-align: middle;
}

.lunch-headline {
  position: relative;
}

.lunch-headline h2 {
  text-align: center;
  font-size: 32px;
}

/* lunch_course */
.course-headline {
  margin-top: -160px;
}

.course-headline h2 {
  position: relative;
  padding: 50px 0;
  z-index: 1;
}

.lunch-headline p {
  font-size: clamp(80px, 12vw, 200px);
  text-align: center;
  color: #ffffff;
  position: absolute;
  width: 100%;
  min-width: 800px;
  max-width: 1200px;
  top: 56%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  z-index: 0;
  letter-spacing: 0.92rem;
}

.single-headline p,
.drink-headline p {
  top: 70%;
}

.lunch-grid {
  position: relative;
  width: 100%;
  background-color: #ffffff;
  z-index: 1;
}

.lunch-content {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
}

.lunch-content.reverse {
  flex-direction: row-reverse;
}

.lunch-item {
  width: 50%;
  padding: clamp(10px, 3.4vw, 101px) clamp(10px, 3.4vw, 100px)
    clamp(16px, 3.8vw, 109px) clamp(20px, 6.2vw, 140px);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.lunch-text {
  color: #505050;
}

.lunch-text__title {
  letter-spacing: 0.22rem;
  margin-bottom: min(4vw, 51px);
}

.lunch-text__title--main {
  margin-bottom: 4px;
}

.lunch-text__title.narrow {
  margin-bottom: clamp(8px, 1.8vw, 28px);
}

.lunch-price {
  text-align: end;
}

.lunch-image {
  width: 50%;
}

.lunch-image img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

/* single_lunch */
.single-headline {
  padding-top: 90px;
}

.single-headline h2 {
  position: relative;
  padding: 60px 0;
  z-index: 1;
}

.single-headline img {
  position: absolute;
  width: 54%;
  min-width: 600px;
  max-width: 1000px;
  top: 74%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  z-index: 0;
}

/* drink */
.drink-headline {
  padding-top: 90px;
}

.drink-headline h2 {
  position: relative;
  padding: 60px 0;
  z-index: 1;
}

.drink-headline img {
  position: absolute;
  width: 30%;
  min-width: 300px;
  max-width: 700px;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  z-index: 0;
}

.drink-grid {
  background-color: #ffffff;
  padding: 20px 0 80px 0;
}

.drink-inner {
  grid-column: 2/3;
}

.drink-content {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 60px 30px 60px 30px;
  border-bottom: 0.2px solid #505050;
}

.drink-item {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

 .drink-item　p.drink-price {
	display: inline-block;
}

/*文字調整*/
@media (max-width: 888px) {
  .lunch-text__title,
  .lunch-text__title--main {
    font-size: 2.8vw;
  }

  .lunch-text__title--sub {
    font-size: 1.2w;
  }

  p.lunch-text__description {
    font-size: 1.1vw;
  }

  .lunch-price {
    font-size: 2vw;
  }
}

/* home btn */
.home-btn {
  background-image: url(../img/lunch_bg_gray.jpg);
  background-position: top center;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 80px 0;
}

.sp {
  display: none;
}

/* sp */
@media (max-width: 767px) {
  .under-kv {
    margin-top: 0px;
  }

  #lunchCourse,
  #lunchSingle {
    margin-top: 0;
    padding-top: 0;
  }

  .overview-grid {
    grid-template-columns: 1fr 90% 1fr;
  }

  div.overview-description p {
    line-height: min(12.69vw, 49.5px);
    font-size: min(16px, 4.1vw);
  }

  .overview-hours {
    margin: 40px auto 40px auto;
    padding-top: 30px;
    padding-bottom: 30px;
    gap: 15px;
  }

  .overview-hours__title p {
    line-height: 20px;
    font-size: min(16px, 4.1vw);
  }

  .overview-hours__content {
    line-height: 30px;
    font-size: min(16px, 4.1vw);
    letter-spacing: 0;
    width: 83%;
    max-width: 360px;
  }

  .overview-hours__content--line {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
  }

  .overview-hours__note p {
    font-size: min(14px, 3.8vw);
    letter-spacing: 0.012rem;
  }

  .overview-buttons {
    gap: 48px;
  }

  .overview-buttons a {
    font-size: 20px;
  }

  .lunch-headline h2 {
    font-size: 28px;
  }

  .lunch-headline p {
    font-size: clamp(20px, 15vw, 100px);
    letter-spacing: 0.32rem;
  }

  .course-headline {
    margin-top: -180px;
  }

  .course-headline h2 {
    padding: 40px 0;
  }

  .single-headline p {
    top: 60%;
  }

  .drink-headline p {
    top: 58%;
  }

  .lunch-content {
    flex-direction: column-reverse;
  }

  .lunch-content.reverse {
    flex-direction: column-reverse;
  }

  .lunch-item {
    width: 100%;
    padding: clamp(10px, 6vw, 101px) clamp(10px, 3.4vw, 100px)
      clamp(16px, 6.4vw, 109px) clamp(20px, 6.2vw, 140px);
  }

  .lunch-image {
    width: 100%;
  }

  .lunch-image img {
    object-fit: cover;
    height: auto;
    width: 100%;
  }

  .lunch-text__title,
  .lunch-text__title--main {
    letter-spacing: 0.12rem;
    font-size: 28px;
  }

  .lunch-text__title span {
    letter-spacing: 0.1rem;
    font-size: 16px;
  }

  .lunch-text__title--sub {
    letter-spacing: 0.12rem;
    font-size: 16px;
  }

  p.lunch-text__description {
    font-size: 14px;
    line-height: 35px;
    letter-spacing: 0.02rem;
  }

  .lunch-price {
    font-size: 20px;
  }

  .single-headline,
  .drink-headline {
    padding-top: 0;
  }

  .single-headline h2,
  .drink-headline h2 {
    padding: 54px 0;
  }

  .single-headline img {
    min-width: 300px;
    width: 60%;
    top: 60%;
  }

  .lunch-text__title.narrow {
    margin-bottom: clamp(12px, 2vw, 28px);
  }

  .drink-grid {
    grid-template-columns: 1fr 90% 1fr;
    padding: 20px 0 60px 0;
  }

  .drink-headline img {
    min-width: 160px;
    width: 20%;
    top: 56%;
  }

  .drink-content {
    padding: 40px 10px 40px 10px;
  }

  .drink-note {
    font-size: 14px;
    letter-spacing: 0.07rem;
  }

  .sp {
    display: block;
  }
}

/* animation */
div.slick-slide {
  width: 100%;
  display: block;
  object-fit: cover;
  line-height: 0;
}

.slick-slide img {
  width: 100%;
  height: 34.7vw;
  margin: auto;
  max-height: 100%;
  max-width: 100%;
  object-fit: cover;
}

div.slick-dotted.slick-slider {
  margin-bottom: 0;
}

ul.slick-dots {
  bottom: 1.2vw;
}

ul.slick-dots li button:before {
  width: 10px;
  height: 10px;
  content: "";
  border-radius: 50%;
  border: 1px solid #ffffff;
  opacity: 1;
}

ul.slick-dots li.slick-active button:before {
  opacity: 1;
  background-color: #ffffff;
}

@media (max-width: 767px) {
  .slick-slide img {
    height: auto;
  }

  ul.slick-dots {
    bottom: 5vw;
  }
}

/* en */
.lunch-text__title[data-lang="en"] {
  letter-spacing: 0.1rem;
  margin-bottom: min(4vw, 10px);
}

.lunch-text__title.narrow:has(.lunch-text__title--sub[data-lang="en"]) {
  margin-bottom: clamp(8px, 1.2vw, 12px);
}

.overview-hours__content--line[data-lang="en"] span:nth-child(1) {
  width: 12vw;
  min-width: 10 0px;
}


/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/